package com.ruoyi.web.llm.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import org.noear.solon.ai.mcp.client.McpClientProvider;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collections;
import java.util.Map;

/**
 * mcp模型上下文协议Controller
 * 
 * @author cmc
 * @date 2025-04-08
 */
@RestController
@RequestMapping("/llm/mcp")
public class McpController extends BaseController
{
    /**
     * 生成回答
     */
    @GetMapping("/answer")
    public AjaxResult answer() {
        McpClientProvider clientProvider = McpClientProvider.builder()
                .apiUrl("http://localhost:52548/llm/mcp/sse")
                .build();

        Map<String, Object> map = Collections.singletonMap("location", "杭州");
        String rst = clientProvider.callToolAsText("getWeather", map).getContent();
        // 1. 调用本地LLM或HTTP服务
        return success(rst);
    }


}
